Package org.apache.sysds.runtime.io.hdf5

# Class H5ObjectHeader

java.lang.Object
org.apache.sysds.runtime.io.hdf5.H5ObjectHeader

public class H5ObjectHeader extends Object

## Constructor Summary

Constructors
Constructor
Description
`H5ObjectHeader(H5RootObject rootObject, long address)`
`H5ObjectHeader(H5RootObject rootObject, String datasetName)`

## Method Summary

Modifier and Type
Method
Description
`<T extends H5Message>
T`
`getMessageOfType(Class<T> type)`
`List<H5Message>`
`getMessages()`
`<T extends H5Message>
List<T>`
`getMessagesOfType(Class<T> type)`
`<T extends H5Message>
boolean`
`hasMessageOfType(Class<T> type)`
`H5BufferBuilder`
`toBuffer()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5ObjectHeader

public H5ObjectHeader(H5RootObject rootObject, long address)

### H5ObjectHeader

public H5ObjectHeader(H5RootObject rootObject, String datasetName)

## Method Details

### getMessagesOfType

public <T extends H5Message> List<T> getMessagesOfType(Class<T> type)

### hasMessageOfType

public <T extends H5Message> boolean hasMessageOfType(Class<T> type)

### getMessageOfType

public <T extends H5Message> T getMessageOfType(Class<T> type)

### toBuffer

public H5BufferBuilder toBuffer()

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getMessages

public List<H5Message> getMessages()